get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

variable label CM1 "Statut de mre".
value label CM1 
	1 "A donn naissance" 
	2 "N'a jamais donn naissance".

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + HH6A + wage + CM1 + melevel + wlthind5 + hc1cee + tot1 by (statistics)
  /statistics
    cpct(HH7 (f5.1) 'Pourcentage pondr')
    count(HH7 (f5.0) 'Nombre de femmes pondres')
    unw count(HH7 (f5.0) 'Nombre de femmes non pondres')
    cpct(HH6 (f5.1) 'Pourcentage pondr')
    count(HH6 (f5.0) 'Nombre de femmes pondres')
    unw count(HH6 (f5.0) 'Nombre de femmes non pondres')
    cpct(HH6A (f5.1) 'Pourcentage pondr')
    count(HH6A (f5.0) 'Nombre de femmes pondres')
    unw count(HH6A (f5.0) 'Nombre de femmes non pondres')
    cpct(wage (f5.1) 'Pourcentage pondr')
    count(wage (f5.0) 'Nombre de femmes pondres')
    unw count(wage (f5.0) 'Nombre de femmes non pondres')
    cpct(CM1 (f5.1) 'Pourcentage pondr')
    count(CM1 (f5.0) 'Nombre de femmes pondres')
    unw count(CM1 (f5.0) 'Nombre de femmes non pondres')
    cpct(melevel (f5.1) 'Pourcentage pondr')
    count(melevel (f5.0) 'Nombre de femmes pondres')
    unw count(melevel (f5.0) 'Nombre de femmes non pondres')
    cpct(wlthind5 (f5.1) 'Pourcentage pondr')
    count(wlthind5 (f5.0) 'Nombre de femmes pondres')
    unw count(wlthind5 (f5.0) 'Nombre de femmes non pondres')
    cpct(HC1CEE (f5.1) 'Pourcentage pondr')
    count(HC1CEE (f5.0) 'Nombre de femmes pondres')
    unw count(HC1CEE (f5.0) 'Nombre de femmes non pondres')
  /title
    "Tableau HH.4: Rpartition en pourcentage de la population fminine ge de 15-49 ans selon leurs caractristiques socio-dmographiques, Cte d'Ivoire, 2006".

new file.
