get file = 'ch.sav'.

select if (UF9 = 1).
weight by chweight.

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + cage_6 + melevel + wlthind5 + tot1 
		by (statistics)
  /statistics
    cpct(HL4 (f5.1) 'Pourcentage pondr')
    count(HL4 (f5.0) "Nombre d'enfants de moins de 5 ans pondrs")
    unw count(HL4 (f5.0) "Nombre d'enfants de moins de 5 ans non pondrs")
    cpct(HH7 (f5.1) 'Pourcentage pondr')
    count(HH7 (f5.0) "Nombre d'enfants de moins de 5 ans pondrs")
    unw count(HH7 (f5.0) "Nombre d'enfants de moins de 5 ans non pondrs")
    cpct(HH6 (f5.1) 'Pourcentage pondr')
    count(HH6 (f5.0) "Nombre d'enfants de moins de 5 ans pondrs")
    unw count(HH6 (f5.0) "Nombre d'enfants de moins de 5 ans non pondrs")
    cpct(HH6A (f5.1) 'Pourcentage pondr')
    count(HH6A (f5.0) "Nombre d'enfants de moins de 5 ans pondrs")
    unw count(HH6A (f5.0) "Nombre d'enfants de moins de 5 ans non pondrs")
    cpct(cage_6 (f5.1) 'Pourcentage pondr')
    count(cage_6 (f5.0) "Nombre d'enfants de moins de 5 ans pondrs")
    unw count(cage_6 (f5.0) "Nombre d'enfants de moins de 5 ans non pondrs")
    cpct(melevel (f5.1) 'Pourcentage pondr')
    count(melevel (f5.0) "Nombre d'enfants de moins de 5 ans pondrs")
    unw count(melevel (f5.0) "Nombre d'enfants de moins de 5 ans non pondrs")
    cpct(wlthind5 (f5.1) 'Pourcentage pondr')
    count(wlthind5 (f5.0) "Nombre d'enfants de moins de 5 ans pondrs")
    unw count(wlthind5 (f5.0) "Nombre d'enfants de moins de 5 ans non pondrs")
  /title
    "Tableau HH.5: Rpartition en pourcentage des enfants de moins de 5 ans selon leurs caractristiques socio-dmographiques, Cte d'Ivoire, 2006".

new file.
