get file = 'hh.sav'.
select if (HH9 = 1).
compute hhweight = hhweight*HH11.

weight by hhweight.

recode WS1 (98,99 = 99) (else = copy) into WS1.

compute improved = 0.
if (WS1 = 11 or  WS1 = 12 or WS1 = 13 or WS1 = 21 or WS1 = 31 or WS1 = 41 or 
  WS1 = 51) improved = 100.
if ((WS2 = 11 or WS2 = 12 or WS2 = 13 or WS2 = 21 or WS2 = 31 or WS2 = 41 or 
  WS2 = 51) and WS1 = 91) improved = 100. 
variable label improved "Sources d'eau de boisson amliores".

recode improved (100 = 1) (else = 2) into type.
variable label WS1 "".
variable label type "Principales sources d'eau".
value label type 
	1 "Sources amliores"
	2 "Sources non amliores".

tables
  /format = zero
  /observation = improved
  /ftotal = tot1 "Total" tot2 "nombre de membres du mnage"
  /table = HH7 + HH6+ HH6A + helevel + wlthind5 + tot1 by 
	  type > WS1 + tot1 + improved + tot2
  /statistics
    cpct(ws1 (f5.1) '':HH7 HH6 HH6A helevel wlthind5)
    mean(improved (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Tableau EN.1: Rpartition en pourcentage des mnages selon la principale source d'approvisionnement en eau de boisson " + 
                        "et pourcentage des mnages utilisant les sources d'eau de boisson amliores, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 11; MDG indicateur 30".

new file.
