get file = 'hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute total  = 1.

variable label total "Nombre de mnages".

recode WS3 (995 = 1) (0 thru 14 = 2) (15 thru 29 = 3) (30 thru 59 = 4) 
  (60 thru 990 = 5) (998 = 8) (999 = 9) into time.
if (WS1 = 11 | WS1 = 12) time = 1. 
variable label time "Temps mis pour aller chercher l'eau et revenir".
value label time 
	1 "L'eau  domicile"
	2 "Moins de 15 minutes"
	3 "De 15 minutes a moins de  30 minutes"
	4 "De 30 minutes a moins d'1 heure"
	5 "1 heure ou plus"
	8 "Ne sait pas"
	9 "Manquant" .

recode WS3 (995,998,999=sysmis) (else = copy) into tsource.
variable label tsource "dure moyenne d'acces a la source d'eau de boisson*".

tables
  /format = zero
  /ftotal = tot1 "Total" tot2 "Nombre de mnages"
  /observations = tsource
  /table = HH7 + HH6+ HH6A + helevel + wlthind5 + tot1 by time + tot1 + tsource + tot2 
  /statistics
    cpct(time (f5.1) '':HH7 HH6 HH6A helevel wlthind5)
    mean(tsource (f5.1) '')
   count(tot2 (f5.0) '')
  /title
    "Tableau EN.3: Rpartition en pourcentage des mnages selon le temps mis pour aller chercher l'eau de boisson, et temps moyen mis, Cte d'Ivoire, 2006".


new file.
 
