get file = 'hh.sav'.
select if (HH9 = 1).
compute hhweight = hhweight*HH11.
weight by hhweight.

recode WS7 (11,12,13,21,22,31 = 1) (else = 2) into type.
variable label type "Type de toilette utilis par le mnage".
value label type 
	1 "Installations d'assainissement amliores" 
	2 "Installations d'assainissement non amliores".

select if  (type  = 1).
recode WS9 (97,99 = 99) (sysmis=1) (else = copy) into WS9.
variables labels ws9 "Nombre de mnages utilisant l'installation sanitaire".

compute total = 1.
variable label total "Nombre de membres du mnage utilisant les installations sanitaires amliores".
value label total 1 "".

tables
  /format = zero 
  /ftotal = tot1 "Total" 
 /table = WS7+HH7 + HH6+ HH6A + helevel + wlthind5 + tot1 by 
	   WS9 + tot1 + total 
  /statistics
    cpct(WS9 (f5.1) '': WS7 HH7 HH6 HH6A helevel wlthind5)  
    count(total (f5.0) '')
  /title
    "Tableau EN.5w: Rpartition en pourcentage des mnages utilisant les toilettes amliores, Cte d'Ivoire, 2006".
new file.

 