get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

select if (UF11 < 3).

recode CA13 (1,2 = 100) (else = 0) into stools.
variable label stools "Proportion d'enfants dont les excrta sont vacus sainement*".

compute total  = 1.
value label total 1 "".
variable label total "Nombre d'enfants gs de 0-2 ans".

tables
  /format = zero
  /observation = stools
  /ftotal = tot1 "Total" 
  /table = HH7 + HH6+ HH6A + melevel + wlthind5 + hc1cee + tot1 by 
	  CA13 + tot1 + stools + total 
  /statistics
    cpct(CA13 (f5.1) '':HH7 HH6 HH6A melevel wlthind5 hc1cee)
    mean(stools (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau EN.6:  Rpartition en pourcentage des enfants gs de 0-2 ans selon le lieu o leurs excrta sont vacus; et " + 
                        "pourcentage des enfants gs de 0-2 ans dont les excrta sont vacus de faon saine, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicator 14".

new file.
