get file = 'hh.sav'.
select if (HH9 = 1).
compute hhweight = hhweight*HH11.
weight by hhweight.

compute total  = 1.
value label total 1 "".
variable label total "Nombre de membres du mnage".

compute improved = 0.
if (WS1 = 11 or  WS1 = 12 or WS1 = 13 or WS1 = 21 or WS1 = 31 or WS1 = 41 or  WS1 = 51) improved = 100.
if ((WS2 = 11 or WS2 = 12 or WS2 = 13 or WS2 = 21 or WS2 = 31 or WS2 = 41 or  WS2 = 51) and WS1 = 91) improved = 100. 
variable label improved "Utilisation de sources d'approvisionnement en eau amliores*".

recode WS7 (11,12,13,21,22,31 = 100) (else = 0) into sanitary.
variable label sanitary "Utilisation de moyens d'vacuation des excrments amliors**".

compute imwims = 0.
if (improved = 100 and sanitary = 100) imwims = 100.
variable label imwims "Utilisation de sources d'approvisionnement en eau amliores et "+
  "utilisation de moyens d'vacuation des excrments amliors***".

tables
  /format = zero
  /observation = improved sanitary  imwims
  /ftotal = tot1 "Total" tot2 "Nombre de membres du mnage"
  /table = HH7 + HH6+ HH6A + helevel + wlthind5 + tot1 by improved + sanitary + imwims + tot2
  /statistics
    mean(improved (f5.1) '')
    mean(sanitary (f5.1) '')
    mean(imwims (f5.1) '')
   count(tot2 (f5.0) '')
  /title
    "Tableau EN.7: Pourcentage des mnages utilisant  la fois des sources d'approvisionnement amliores en eau de boisson " + 
                        "et des moyens sanitaires d'vacuation des excrta, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 11; MDG indicateur 30"
		"** MICS indicaeur 12; MDG indicateur 31".

new file.
