get file = 'hh.sav'.

select if (HH9 = 1 and HC6A=1).

weight by hhweight.

recode HC6 (97,99 = 99) (else = copy) into HC6.

recode HC6 (07,08,09,10,11 = 100) (else  = 0) into sfuels.
variable label sfuels "Combustibles solides pour la cuisine*".

tables
  /format = zero
  /observation = sfuels
  /ftotal = tot1 "Total" tot2 "Nombre de mnages"
  /table = HH7 + HH6+ HH6A + helevel + wlthind5 + tot1 by 
	  HC6 + tot1 + sfuels + tot2
  /statistics
    cpct(HC6 (f5.1) '':HH7 HH6 HH6A helevel wlthind5)
    mean(sfuels (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Tableau EN.11: Pourcentage des mnages selon le type de combustible utilis pour la cuisine, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 24; MDG indicateur 29".

new file.
