get file = 'hl.sav'.

weight by hhweight.

* select children who are of primary school age; this definition is
* country-specific and should be changed to reflect the situation in your country.
select if (HL5 >= 6 and HL5 <= 11).

compute primary  = 0.
if (ED6A >= 1 and ED6A <= 3) primary =  100.
variable label primary "".

variable label HL4 "".

tables
  /format = zero
  /observation = primary
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + HL5 + melevel + wlthind5 + hc1cee + tot1 by HL4 > primary + tot1
  /statistics
    mean(primary (f5.1) "Scolarisation nette")
    validn(primary (f5.0) "Nombre d'enfants")
  /title
    "Tableau ED.3: Pourcentage des enfants d'ge scolaire dans le primaire** frquentant l'cole primaire, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 55; MDG indicateur 6".

new file.
