get file = 'hl.sav'.

weight by hhweight.

* select children who are of secondary school age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.
select if (HL5 >= 12 and HL5 <= 18).

compute second  = 0.
if (ED6A >= 2 and ED6A <= 3) second =  100.
variable label second "".

variable label HL4 "".

tables
  /format = zero
  /observation = second
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + HL5 + melevel + wlthind5 + hc1cee + tot1 by 
	  HL4 > second + tot1
  /statistics
    mean(second (f5.1) "Taux net de scolarisation*")
    validn(second (f5.0) "Nombre d'enfants")
  /title
    "Tableau ED.4: Pourcentage des enfants d'ge scolaire dans le secondaire** frquentant l'cole secondaire ou plus, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 56".

new file.
