get file = 'hl.sav'.

weight by hhweight.

* select children who are of secondary school age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.
select if (HL5 >= 12 and HL5 <= 18).

compute prim  = 0.
if (ED6A = 1) prim =  100.
variable label prim "".

variable label HL4 "".

tables
  /format = zero
  /observation = prim
  /ftotal = tot1 "Total"
  /tables = HH6 + HH6A + HL5 + melevel + wlthind5 + hc1cee + tot1 by 
	  HL4 > prim + tot1 
  /statistics
    mean(prim (f5.1) "Pourcentage frquentant l'cole primaire")
    validn(prim (f5.0) "Nombre d'enfants")
  /title
    "Tableau ED.4w: Pourcentage d'enfants ayant l'ge d'aller  l'cole secondaire** qui frquentent l'cole primaire, Cte d'Ivoire, 2006".

new file.
