get file = 'wm.sav'.

select if (WM7 = 1).
weight by wmweight.

select if (WM9 >= 15 and WM9 <= 24).

compute literate  = 0.
if (WM14 = 3 or WM11 = 2 or WM11 = 3) literate = 100.
variable label literate "Pourcentage alphabtises*".

compute notknown = 0. 
if (WM14 = 4 or WM14 = 8 or WM14 = 9) notknown = 100.
variable label notknown "Pourcentage non connu".

recode WM9 (15 thru 19 = 1) (20 thru 24 = 2) into agegrps.
variable label agegrps "Age".
value label agegrps
  1 "15-19 ans"
  2 "20-24 ans".

compute total = 1.
value label total 1 "".
variable label total "Nombre de femmes ges de 15-24 ans".

tables
  /format = zero
  /observation = literate notknown
  /ftotal = tot1 "Total" tot2 "Nombre"
  /table = HH7 + HH6+ HH6A + melevel + agegrps + wlthind5  + hc1cee + tot1 by
	  literate + notknown + total
  /statistics
    mean(literate (f5.1) '')
    mean(notknown (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau ED.8: Pourcentage de femmes de 15-24 ans qui sont lettres*, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 60; MDG Indicateur 8".

new file.
