get file = 'ch.sav'.

weight by chweight.

select if (UF9 = 1) .
compute total = 1.
variable label total "Nombre d'enfants gs de 0-59 mois".

compute regist = 0.
if (BR1 = 1 or BR2 = 1) regist = 100.
compute registdk = 0. 
if (BR2 = 8 or BR2 = 9) registdk = 100.


recode BR3 (1 thru 9 = copy) (else=sysmis) into register.
if(register=6 and (HH6A = 2 or HH6A = 3) ) register = 7.

*compute crise = register.


if (register >= 1 and register <= 9) total1 = 1.
variable label total1 "Nombre d'enfants de 0-59 mois non-enregistrs  l'tat civil".
value label total1 1 "".

variable label register "La naissance n'a pas t enregistre parce que:".
value label register
  1 "Cot lev"
  2 "Lieu d'enregistrement trop loin"
  3 "Ne savait pas que l'enfant devrait tre enregistr"
  4 "Il tait tard et ne voulait pas payer d'amende"
  5 "Ne savait pas o faire l'enregistrement"
  6 "Autre"
  7 "Conflit/Crise"
  8 "Ne sait pas"
  9 "Manquant".
variable label regist "La naissance est enregistre*".
variable label registdk "Ne sait pas si la naissance est enregistre".

tables
  /format = zero
  /ftotal = tot1 "Total" tot2 "Total"
  /observations regist registdk
  /tables = HL4 + HH7 + HH6+ HH6A + cage_11 + melevel +wlthind5 + hc1cee + tot1 by regist +registdk+ total+ register + tot2 + total1
  /statistics
    mean(regist (f5.1) '')
    mean(registdk (f5.1) '')
    count(total (f5.0) '')
    cpct(register (f5.1) '' :  HL4 HH7 HH6 HH6A  cage_11 melevel Wlthind5 hc1cee)
    count(total1 (f5.0) '')
  /title
    "Tableau CP.1: Pourcentage d' enfants de 0-59 mois dont la naissance est enregistre et raisons du non-enregistrement des naissances, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 62".

new file.
