get file= "wm.sav".

select if (WM7 = 1).

weight by wmweight.

compute t15 = 0.
if (wage < 15) t15 = 100.
variable label t15 "Pourcentage de femmes maries avant l'ge de 15 ans*".

compute total = 1.
variable label total "Nombre de femmes ges de 15-49 ans ".
value label total 1 "".

do if (WM9 >= 20).
+ compute t18 = 0.
+ if (wage >= 15 and wage <= 17 or t15 = 100) t18 = 100.
end if.
variable label t18 "Pourcentage de femmes maries avant l'ge de 18 ans*".

if (WM9 >= 20) t2049 = 1.
variable label t2049 "Nombre de femmes ges de 20-49 ans ".
value label t2049 1 "".

**do if (wage = 1).
**+ compute t1519m = 0.
**+ if (MA1 =1 or MA1 = 2) t1519m  = 100.
**+ compute t1519 = 1.
**end if.
**variable label t1519m "Percentage of women 15-19 years married/in union **".
**variable label t1519 "Number of  women aged 15-19 years".
**value label t1519 1 "".

* this code is only for countries with polygyny.
**if (MA1 = 1 or MA1 = 2) totalm  = 1.
**variable label totalm "Number of women aged 15-49 currently married/in union".
**value label totalm 1 "".

**do if (totalm = 1).
**+ compute polyg  = 0.
**+ if (MA2A = 1) polyg  = 100.
**end if.
**variable label polyg "Percentage of women aged 15-49 years in polygynous marriage/union ***".

tables
  /format = zero
  /observation = t15 t18 t2049     
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + wage + melevel + wlthind5 + hc1cee + tot1 by t15 + total + t18 + t2049  
  /statistics
    cpct(t15 (f5.1) '')
    count(total (f5.0) '')
    cpct(t18 (f5.1) '')
    count(t2049 (f5.0) '')
 /title
    "Tableau CP.5: Mariage prcoce"
		"Pourcentage de femmes maries avant d'atteindre leur quinzime anniversaire, "+
                        "pourcentage de femmes ges  de 20-49 ans maries avant leur 18me anniversaire, "+
                        "pourcentage de femmes actuellement maries ges de 15-49 ans,  Cte d'Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicateur 67"
		"** MICS Indicateur 68"
		"*** MICS Indicateur 70".

new file.
