get files="wm.sav".

select if (WM7 = 1).

weight by wmweight.

compute total = 1.
value label total 1 "".
variable label total "Nombre de femmes ges de 15-49 ans".

compute goesout = 0.
if (DV1A = 1) goesout = 100.
variable label goesout "Elle sort sans le prvenir".

compute neglects = 0.
if (DV1B = 1) neglects = 100.
variable label neglects "Elle nglige les enfants".

compute argues = 0.
if (DV1C = 1) argues = 100.
variable label argues "Elle lui tient tte dans une discussion".

compute refuses = 0.
if (DV1D = 1) refuses = 100.
variable label refuses "Elle refuse d'avoir des rapports sexuels".

compute burns = 0.
if (DV1E = 1) burns = 100.
variable label burns "Elle brle le repas".

compute any = 0.
if (goesout = 100 or neglects = 100 or argues = 100 or refuses = 100 or 
  burns = 100) any = 100.
variable label any "Pour toutes ces raisons*".

compute layer = 0.
variable label layer "".
value label layer 0 "% de fem de 15-49 ans  qui croient que le mari bat sa fem:" .

tables
  /format = zero
  /observation = goesout neglects argues refuses burns any   
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + wage + melevel + wlthind5 + hc1cee + tot1 by 
	  layer > (goesout + neglects + argues + refuses + burns + any) + total
  /statistics
    mean(goesout (f5.1) '')
    mean(neglects (f5.1) '')
    mean(argues (f5.1) '')
    mean(refuses (f5.1) '')
    mean(burns (f5.1) '')
    mean(any (f5.1) '')
    count(total (f5.0) '')
 /title
    "Tableau CP.9: Pourcentage de femmes de 15-49 ans qui pensent qu'un mari peut frapper sa femme dans certaines circonstances, Cte d'Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicateur 100".

new file.
