get file = 'ch.sav'.

weight by chweight.

select if (UF9 = 1).

do if (cage >= 0 and cage <= 3).
+ compute exbf = 0.
+ if (BF2 = 1 & (BF3B <> 1 & BF3C <> 1 & BF3D <> 1 & BF3E <> 1 & BF3F <> 1 & 
  BF3G <> 1 & BF3H <> 1))	exbf = 100.
end if.
variable label exbf "Enfants de 0-3 mois".

do if (cage >= 0 and cage <= 5).
+ compute exbf5 = 0.
+ if (BF2 = 1 & (BF3B <> 1 & BF3C <> 1 & BF3D <> 1 & BF3E <> 1 & BF3F <> 1 & 
  BF3G <> 1 & BF3H <> 1))	exbf5 = 100.
end if.
variable label exbf5 "Enfants de 0-5 mois".

do if (cage >= 6 and cage <= 9).
+ compute solids = 0.
+ if (BF2 = 1 and BF3H = 1) solids = 100.
end if.
variable label solids "Enfants de 6-9 mois".

do if (cage >= 12 and cage <= 15).
+ compute bf12_15 = 0.
+ if (BF2 = 1) bf12_15 = 100.
end if.
variable label bf12_15 "Enfants de 12-15 mois".

do if (cage >= 20 and cage <= 23).
+ compute bf20_23 = 0.
+ if (BF2 = 1) bf20_23 = 100.
end if.
variable label bf20_23 "Enfants de 20-23 mois".

tables
  /format = zero
  /observation = exbf exbf5 solids bf12_15 bf20_23
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + melevel + wlthind5 + hc1cee + tot1 by 
		exbf + exbf5 + solids + bf12_15 + bf20_23
  /statistics
    mean(exbf (f5.1) "Pourcentage, allaitement maternel exclusif")
    validn(exbf (f5.0) "Nombre d'enfants")
    mean(exbf5 (f5.1) "Pourcentage, allaitement maternel exclusif *")
    validn(exbf5 (f5.0) "Nombre d'enfants")
    mean(solids (f5.1) "Pourcentage d'enfants recevant le lait maternel et des aliments solides et semi-solides (pure)**")
    validn(solids (f5.0) "Nombre d'enfants")
    mean(bf12_15 (f5.1) "Pourcentage, allaitement maternel ***")
    validn(bf12_15 (f5.0) "Nombre d'enfants")
    mean(bf20_23 (f5.1) "Pourcentage, allaitement maternel ***")
    validn(bf20_23 (f5.0) "Nombre d'enfants")
  /title
    "Tableau NU.3: Pourcentage d'enfants vivants par tranche d'ge spcifique selon le statut d'allaitement, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 15"
		"** MICS indicateur 17"
		"*** MICS indicateur 16".

new file.
