get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

do if (cage >= 0 and cage <= 5).
+ compute exbf5 = 0.
+ if (BF2 = 1 & (BF3B <> 1 & BF3C <> 1 & BF3D <> 1 & BF3E <> 1 & BF3F <> 1 & 
	BF3G <> 1 & BF3H <> 1))	exbf5 = 100.
end if.
variable label exbf5 "0-5 mois exclusivement allaits au sein".

do if (cage >= 6 and cage <= 8).
+ compute time2 = 0.
+ if (BF2 = 1 and BF5 >= 2 and BF5 <= 7) time2 = 100.
end if.
variable label Time2 "6-8 mois qui ont reu le lait maternel et des aliments "+
  "complmentaires au moins 2 fois au cours des 24 dernires heures".

do if (cage >= 9 and cage <= 11).
+ compute time3 = 0.
+ if (BF2 = 1 and BF5 >= 3 and BF5 <= 7) time3 = 100.
end if.
variable label Time3 "9-11 mois qui ont t allaits au sein et reu des "+
  "complments alimentaires au moins 3 fois au cours des 24 dernires heures".

do if (cage >= 6 and cage <= 11).
+ compute mrecom = 0.
+ if (time2 = 100 or time3 = 100) mrecom = 100.
end if.
variable label mrecom "6-11 mois qui ont t allaits au sein et reu des complments "+
  "alimentaires un nombre minimum de fois recommand par jour*".

do if (cage >= 0 and cage <= 11).
+ compute approp = 0.
+ if (exbf5 = 100 or time2 = 100 or time3 = 100) approp = 100.
+ compute total  = 1.
end if.
variable label total "Nombre d'enfants ags de 0-11 mois ".
value label total 1 "".
variable label approp "0-11 mois qui ont t nourri de faon approprie**".

tables
  /format = zero
  /observation =  exbf5 time2 time3 mrecom approp
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + melevel + wlthind5 + hc1cee + tot1 
		by exbf5 + time2 + time3 + mrecom + approp + total
  /statistics
    mean(exbf5 (f5.1) '')
    mean(time2 (f5.1) '')
    mean(time3 (f5.1) '')
    mean(mrecom (f5.1) '')
    mean(approp (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau NU.4: Pourcentage d'enfants gs de moins de 6 mois prenant exclusivement le lait maternel, "
		"pourcentage d'enfants de 6-11 mois prenant le lait maternel et les aliments solides/semi-solides au moins "
		"le nombre  minimum de fois recommand par jour, et pourcentage d'enfants nourris suffisamment, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 18 "
		"** MICS indicateur 19".

new file.
