get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

select if (cage >= 6).

compute vitamina = 9.
if (VA1 = 1 and (VA2 >= 0 and VA2 <= 5)) vitamina = 1.
if (VA1 = 1 and (VA2 >= 6 and VA2 <= 60)) vitamina = 2.
if (VA1 = 1 and (VA2 = 98 or VA2 = 99)) vitamina = 3.
if (VA1 = 8 or VA1 = 9) vitamina = 4.
if (VA1 = 2) vitamina = 5.
variable label vitamina "pourcentage des enfants qui ont reu de la vitamine A:".
value label vitamina
  1 "Au cours des 6 derniers  mois**"
  2 "Avant les  6 derniers mois"
  3 "Ne sait pas quand"
  4 "Pas sur d'avoir reu de la vitamine A"
  5 "Jamais reu de la vitamine A".

tables
  /format = zero
  /ftotal = tot1 "Total" tot2 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + cage_6 + melevel + wlthind5 + hc1cee + tot1 
		by vitamina + tot2
  /statistics
    cpct(vitamina (f5.1) '': HL4 HH7 HH6 HH6A cage_6 melevel wlthind5 hc1cee)
    cpct(tot2 (f5.1) 'Total': HL4 HH7 HH6 HH6A cage_6 melevel wlthind5 hc1cee)
    count(tot2 (f5.0) "Nombre d'enfants ages de 6-59 mois")
  /title
    "Tableau NU.6: Pourcentage d'enfants de 6-59 mois ayant reu une dose leve de Vitamine A ou non au cours des 6 derniers mois, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 42".

new file.
