get file = 'ch.sav'.

* ARI in the last 2 weeks.
compute ari  = 0.
if ((CA7 =1 or CA7 = 3) and CA5 = 1 and CA6 = 1) ari = 100.
variable label ari "A eu une infection espiratoire".

select if (UF9 = 1 and ari = 100).

weight by chweight.

recode CA11A ("A" = 100) (else = 0) into anti.
variable label anti "Pourcentage d'enfants de 0-59 mois chez qui un cas de pneumonie a t suspect "+
  "et qui a reu un traitement  l'antibiotique durant les 2 dernires semaines*".

compute atotal = 1.
value label atotal 1 "".
variable label atotal "Nombre d'enfants de 0-59 mois chez qui un cas de pneumonie a t suspect "+
  "dans les 2 dernires semaines prcdant l'enqute".

tables
  /format = zero
  /observation = ari anti
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + cage_11 + melevel + wlthind5 + hc1cee + tot1 by
    anti + atotal
  /statistics
    mean(anti (f5.1) '')
    count(atotal (f5.0) '')
  /title
    "Tableau CH.7: Pourcentage des enfants de 0-59 mois atteints de la pneumonie et qui ont reu des anti-biotiques, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 22".

