get file = 'C:\MICS STANDARD COTE DIVOIRE\MICS\SPSS\hh.sav'.

select  if (HH9 = 1 and HC6 >= 06 and HC6 <= 11).

weight by hhweight.

compute total = 1.
variable label total "Nombre de mnages utilisant des combustibles solides pour la cuisine".
value label total 1 "".

compute stove = 9.
if (HC7 = 3) stove = 1.
if ((HC7 = 1 or HC7 = 2) and HC7a = 1) stove = 2.
if ((HC7 = 1 or HC7 = 2) and HC7a <> 1) stove = 3.
if (HC7 = 6) stove = 6.
variable label stove "Pourcentage de mnages utilisant des combustibles solides pour la cuisine:".
value label stove
	1 "Foyer ferm avec chemine"
	2 "Foyer ouvert ou feu avec chemine ou couvercle"
	3 "Foyer ouvert ou feu sans chemine ou couvercle"
	6 "Autre foyer"
	9 "Ne sait pas/manquant".

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + HH6A + helevel + wlthind5 + tot1 by 
	  stove + tot1 + total
  /statistics
    cpct(stove (f5.1) '': HH7 HH6 HH6A helevel wlthind5)
    count(total (f5.0) '')
  /title
    "Tableau CH.9: Utilisation de combustible solide par type de foyer: "
		"Pourcentage de mnages utilisant des combustibles solides pour la cuisine par type de foyer, Cte d'Ivoire, 2006".

new file.
