get file = 'hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute mosquito = 0.
if (TN1 = 1 and TN2 >= 1 and TN2 <= 7) mosquito = 100.
variable label mosquito "Pourcentage de mnages ayant au moins une moustiquaire ".

compute treated  = 0.
if (TN6 < 12) treated = 100.
if (TN2A = 1) treated = 100.
if (TN7 = 1 and TN8 < 12) treated  =100.
if (TN2A = 2 and  TN6 < 12) treated = 100.
if (TN5 = 1 and  TN6 < 12) treated = 100.
variable label treated "Pourcentage de mnages ayant au moins un moustiquaire imprgne (ITN)*".
*  /table = HH7 + HH6+ HH6A + helevel + wlthind5 + hc1cee + tot1 by 

tables
  /format = zero
  /observation = mosquito treated
  /ftotal = tot1 "Total" tot2 "Nombre de mnages"
  /table = HH7 + HH6+ HH6A + helevel + wlthind5 + tot1 by 
	  mosquito + treated + tot2
  /statistics
    mean(mosquito (f5.1) '')
    mean(treated (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Tableau CH.10: Pourcentage de mnages utilisant au moins une moustiquaire imprgn, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 36".

new file.
