get file = 'hh.sav'.
select if (HH9 = 1).
compute hhweight = hhweight*HH11.

weight by hhweight.

recode WS7 (11,12,13,21,22,31 = 1) (else = 2) into type.
variable label type "Type de toilette utilis par le mnage".
value label type 
	1 "Installations d'assainissement amliores" 
	2 "Installations d'assainissement non amliores".

recode WS7 (97,99 = 99) (else = copy) into WS7.
variable label WS7 "".

recode type (1 = 100) (else = 0) into sanitary.
variable label sanitary "Pourcentage de population utilisant des installations saines d'vacutaion des excrta*".

tables
  /format = zero 
  /ftotal = tot1 "Total"  tot2 "Nombre de membres du mnage"
 /observations=sanitary
  /table = HH7 + HH6 + HH6A + helevel + wlthind5 + tot1 by 
	  type > WS7 + tot1 + sanitary + tot2 
  /statistics
    cpct(WS7 (f5.1) '':HH7 HH6 HH6A  helevel wlthind5)  
    mean(sanitary  (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Tableau EN.5: Rpartition en pourcentage de la population selon le type de toilette utilis, et pourcentage de la population utilisant " + 
                        "les moyens sanitaires pour l'vacuation des excrta, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 12; MDG Indicateur 31".

new file.
