get file = 'hh.sav'.

select if (HH9 = 1 and HC6A=1).

weight by hhweight.

compute total = 1.
variable label total "Nombre de mnages utilisant des combustibles solides pour la cuisine".
value label total 1 "".

compute stove = 9.
if (HC7 = 3) stove = 1.
if ((HC7 = 1 or HC7 = 2) and HC7a = 1) stove = 2.
if ((HC7 = 1 or HC7 = 2) and HC7a <> 1) stove = 3.
if (HC7 = 6) stove = 6.
variable label stove "Pourcentage des mnages utilisant des combustibles solides pour la cuisine:".
value label stove
	1 "Foyer en plein air"
	2 "Foyer sous un appatam"
	3 "Foyer dans une cuisine"
	6 "Autre foyer"
	9 "Ne sait pas/manquant".

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + helevel + wlthind5 + tot1 by 
	  stove + tot1 + total
  /statistics
    cpct(stove (f5.1) '': HH7 HH6 HH6A helevel wlthind5)
    count(total (f5.0) '')
  /title
    "Tableau EN.12: Pourcentage de mnages utilisant les combustibles solides pour la cuisine selon le type de foyer ou feu utilis, Cte d'Ivoire, 2006".

new file.
