get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y").

compute total = 1.
value label total 1 "".
variable label total "Nombre de femmes ayant accouch au cours des deux dernires annes".
value label total 1 "".

compute anc = 0.
if (MN2A = "A") anc = 1.
if (anc = 0 and MN2B = "B") anc = 2.
if (anc = 0 and MN2C = "C") anc = 3.
if (anc = 0 and MN2F = "F") anc = 4.
if (anc = 0 and MN2G = "G") anc = 5.
if (anc = 0 and MN2H = "H") anc = 6.
if (anc = 0 and (MN2X = "X" or MN2A = "?")) anc = 7.
if (anc = 0 and MN2Y = "Y") anc = 8.
variable label anc "Personne offrant les soins prnatals**".
value label anc
  1 "Mdecin"
  2 "Infirmire/sage femme"
  3 "Sage femme auxiliaire/Aide soignante"
  4 "Accoucheuse traditionnelle"
  5 "Agent de sant communautaire"
  6 "Parente/amie"
  7 "Autre/manquant"
  8 "N'a reu aucun soin prnatal".

compute skilled = 0.
if (anc = 1 or anc = 2 or anc = 3) skilled = 100.
variable label skilled "Tout personnel qualifi*".

tables
  /format = zero
  /observation = skilled
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + HH6A + wage + melevel + wlthind5 + hc1cee + tot1 by anc + tot1 + skilled + total
  /statistics
    cpct(anc (f5.1) '':HH7 HH6 HH6A wage melevel wlthind5 hc1cee)
    mean(skilled (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau RH.3: Pourcentage de femmes de 15-49 ans qui ont donn naissance au cours des deux annes prcdant " + 
                        "l'enqute selon le type de personnel prestataire de soins prnatals, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 20".

new file.
