get file = 'hl.sav'.

weight by hhweight.

* select children who are of primary school entry age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.
select if (HL5 = 6).

compute total = 1.
variable label total  "Nombre total d'enfants ayant l'ge d'entre  l'cole primaire**".
value label total 1 "".

compute first  = 0.
* Including second grade due to age issues.
if (ED6A = 1 and (ED6B  = 1 or ED6B = 2)) first =  100.
variable label first "Pourcentage d'enfants ayant l'ge d'entre  l'ecole primaire "+
                          "presentement inscrit en premire anne 1*".

tables
  /format = zero
  /observation = first
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + HL5 + melevel + wlthind5 + hc1cee + tot1 
	  by first + total
  /statistics
    mean(first (f5.1) '')
  /title
    "Tableau ED.2: Pourcentage des enfants d'ge scolaire dans le primaire et qui sont au CP1, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 54".

new file.
