get file = "wm.sav".

COMPUTE filter=(melevel <> 9).
FORMAT filter (f1.0).
FILTER BY filter.

weight by wmweight.

compute total = 1.
value label total 1 "".
variable label total "Nombre de femmes ges de 15-49 ans".

compute fgm = 0.
if (FG9 >= 1 and FG9 <= 9) fgm  = 100.
variable label fgm "La fille a toute forme de mutilation gnitale*".

do if (fgm = 100).
+ compute fgmtype = 9.
+ if (FG11 = 1 and FG13 <> 1) fgmtype = 1.
+ if (FG12 = 1 and FG13 <> 1) fgmtype = 2.
+ if (FG13 = 1) fgmtype = 3.
+ compute extreme = 0.
+ if (FG11 = 1 and FG13 = 1) extreme = 100.
+ compute totfgm = 1.
end if.
variable label fgmtype "Pourcentage de femmes dont la fille:".
value label fgmtype
   1 "Coupures de certaines parties gnitales" 
   2 "Parties gnitales entailles sans rien couper"  
   3 "Zone du vagin ferme par une couture"  
   9 "Formes d'excision non dtermine".
variable label extreme "La fille a subi une forme extrme de l'excision".  
variable label totfgm "Nombre de femmes ges de 15-49 ayant au moins une fille vivante excise".
value label totfgm 1 " ".

tables
  /format = zero
  /observation = fgm extreme 
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + wage + melevel + wlthind5 + hc1cee + tot1 by 
	  fgm + total + fgmtype + tot1 + extreme + totfgm
  /statistics
    mean(fgm (f5.1) '')
    count(total (f5.0) '')
    cpct(fgmtype (f5.1) '': HH7 HH6 HH6A wage melevel  wlthind5 hc1cee)
    mean(extreme (f5.1) '')
    count(totfgm (f5.0) '')
 /title
    "Tableau CP.8: Pourcentage de femmes dont au moins une fille vivante a subi la mutilation gnitale fminine (MGF) selon le type de MGF des filles, Cte d'Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicateur 65".

*new file.
