get file = 'wm.sav'.

select if (WM7 = 1 and CM12='Y').

weight by wmweight.

compute place = 0.
if (MN4 = 1) place = 100.
variable label place "Recu des informations ou conseils sur le SIDA*".

compute tested = 0.
if (MN5 = 1) tested = 100.
variable label tested "Qui ont t tests **".

compute total = 1.
variable label total "Nombre de femmes".
value label total 1 "".

do if (tested = 100).
+ compute results = 0.
+ if (MN6 = 1) results = 100.
+ compute ttotal = 1.
end if.
variable label results "Test et obtenu les rsultats".
value label ttotal 1 "".
variable label ttotal "Nombre de femmes qui ont fait le test du VIH".

tables
  /format = zero
  /observation place tested results
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + wage + melevel + wlthind5 + hc1cee + tot1 by
    place + tested + total + results + ttotal
  /statistics
    mean(place (f5.1) '')
    mean(tested (f5.1) '')
    count(total (f5.0) '')
    mean(results (f5.1) '')
    count(ttotal (f5.0) '')
  /title
    "Tableau HA.6:Connaissance des tests sur le VIH:"
		"Pourcentage de femmes gs de 15-49 ans qui ont reu des informations ou des conseils sur le SIDA, "+
		"Pourcentage de femmes qui ont t testes et, "+
		"Pourcentage de femmes qui ont obtenu les rsultats, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 87"
		"** MICS Indicateur 88".

new file.

